Requirements in Brief

Browser

The Online Computer Science Modules were designed to be viewed using Microsoft Internet Explorer 4.0 or above or Netscape Navigator 4.0 or above. However, the current version of Navigator (4.73) is buggy and displays some of the pages incorrectly. We recommend using Explorer until an improved version is released.

Plugins / Controls

This site contains several interactive animations that require Macromedia Flash Player Plugin 4.0 or above. Please note that this is a more recent version than the one included with Navigator 4.0 and Explorer 4.0 and that you may need to upgrade. If you are unsure of whether your version is current enough, use the link below.

[Test for Flash Player]

To view the Java applets on this site please ensure that your browser's Java and JavaScript capabilities are turned on.

Video

This site was designed to be viewable on an 800x600 pixel screen with at least 256 colors.

Audio

Several of the Flash animations and Java applets contain sound effects and voice narration. Please ensure that your sound card is working and that your speakers are turned on.